CAKeyUpdAnnContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class CAKeyUpdAnnContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CAKeyUpdAnnContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CAKeyUpdAnnContent
      extends ASN1Object

  CAKeyUpdAnnContent ::= SEQUENCE { oldWithNew CMPCertificate, -- old pub signed with new priv newWithOld CMPCertificate, -- new pub signed with old priv newWithNew CMPCertificate -- new pub signed with new priv }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAKeyUpdAnnContent(CMPCertificate oldWithNew, CMPCertificate newWithOld, CMPCertificate newWithNew)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CAKeyUpdAnnContent` | `getInstance(java.lang.Object o)`
    `CMPCertificate` | `getNewWithNew()`
    `CMPCertificate` | `getNewWithOld()`
    `CMPCertificate` | `getOldWithNew()`
    `ASN1Primitive` | `toASN1Primitive()` CAKeyUpdAnnContent ::= SEQUENCE { oldWithNew CMPCertificate, -- old pub signed with new priv newWithOld CMPCertificate, -- new pub signed with old priv newWithNew CMPCertificate -- new pub signed with new priv }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CAKeyUpdAnnContent

          public CAKeyUpdAnnContent(CMPCertificate oldWithNew,
                                    CMPCertificate newWithOld,
                                    CMPCertificate newWithNew)

  - ### Method Detail

    - #### getInstance

          public static CAKeyUpdAnnContent getInstance(java.lang.Object o)

    - #### getOldWithNew

          public CMPCertificate getOldWithNew()

    - #### getNewWithOld

          public CMPCertificate getNewWithOld()

    - #### getNewWithNew

          public CMPCertificate getNewWithNew()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CAKeyUpdAnnContent ::= SEQUENCE {
                                       oldWithNew   CMPCertificate, -- old pub signed with new priv
                                       newWithOld   CMPCertificate, -- new pub signed with old priv
                                       newWithNew   CMPCertificate  -- new pub signed with new priv
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.